// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__1F81C70B_67B4_11D4_9F50_009027A4D0CE__INCLUDED_)
#define AFX_MAINFRM_H__1F81C70B_67B4_11D4_9F50_009027A4D0CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CDialogBar  m_wndDlgBar;

	void StartProgress(int nUpper, int nStep);
	void EndProgress();
	void StepProgress();

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnOptionsProperties();
	afx_msg void OnUpdateOptionsProperties(CCmdUI* pCmdUI);
	//}}AFX_MSG
	LRESULT OnProgressStart(WPARAM wParam, LPARAM lParam);
	LRESULT OnProgressEnd(WPARAM wParam, LPARAM lParam);
	LRESULT OnProgressShow(WPARAM wParam, LPARAM lParam);
	LRESULT OnProgressUpdate(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__1F81C70B_67B4_11D4_9F50_009027A4D0CE__INCLUDED_)
