#if !defined(AFX_URLOBJ_H__B7B9D2D3_691F_11D4_9F54_009027A4D0CE__INCLUDED_)
#define AFX_URLOBJ_H__B7B9D2D3_691F_11D4_9F54_009027A4D0CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UrlObj.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUrlObj command target

class CUrlObj : public CCmdTarget
{
	DECLARE_DYNCREATE(CUrlObj)

	CUrlObj();
	CUrlObj(int nCode, LPCTSTR lpszURL, LPCTSTR lpszDescription, HWND hWndList);
	enum {UNDEFINED, SUCCESS, INFORMATION, REQUEST_ERROR, SERVER_ERROR, TIME_OUT, ABORTED, INPROCESS};

// Attributes
public:
	int m_nCode;
	CString m_strURL;
	CString m_strDes;
	DWORD m_dwStatusCode;
	int m_nState;


// Operations
public:
	LPCTSTR GetState(int nState);
	BOOL AddToListView(HWND hWndList);
	void UpdateState(HWND hWndList, int nType, BOOL bAutoScroll = FALSE);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUrlObj)
	public:
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
	virtual ~CUrlObj();
protected:
	static LPCTSTR m_pszStates[];
	static int m_nCheckIndex;
	int m_nItem;

	// Generated message map functions
	//{{AFX_MSG(CUrlObj)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_URLOBJ_H__B7B9D2D3_691F_11D4_9F54_009027A4D0CE__INCLUDED_)
