// InetSessAsy.h: interface for the CInetSessAsy class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INETSESSASY_H__D5FB27AC_6C79_11D4_9F59_009027A4D0CE__INCLUDED_)
#define AFX_INETSESSASY_H__D5FB27AC_6C79_11D4_9F59_009027A4D0CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

struct INETSTATUS
{
	DWORD dwInternetStatus;
	LPCTSTR lpzsDes;
};

class CInetSessAsy : public CInternetSession  
{
public:
	CInetSessAsy(DWORD dwFlags = 0);
	virtual ~CInetSessAsy();
	DWORD TryURL(LPCTSTR lpszURL, int nSecTimeOut = 0, LPVOID pParam = NULL);
	BOOL m_bTimeOut;
protected:
	void InitProps();
	BOOL ErrorOut(HWND hErr, DWORD dError, _TCHAR* szCallFunc);
	virtual void OnStatusCallback(DWORD dwContext, DWORD dwInternetStatus, LPVOID lpvStatusInformation, DWORD dwStatusInformationLength);
	static INETSTATUS m_inetStatus[];
	static INETSTATUS m_inetErrors[];
	CHttpFile* m_pHttpFile;
	CHttpConnection* m_pConnection;
	INTERNET_PORT m_nPort;
	CString m_strServer;
	CString m_strObject;
	DWORD m_dwStatusCode;
	BOOL m_bIsError;
	int m_nStep;
	BOOL m_bContinue;
	BOOL m_bCompleted;
	BOOL m_bAsynchronous;
	void CloseAll();
	BOOL SetServerObject(LPCTSTR lpszURL);
	BOOL OpenHttpFile();
	BOOL GetStatusCode();
};

#endif // !defined(AFX_INETSESSASY_H__D5FB27AC_6C79_11D4_9F59_009027A4D0CE__INCLUDED_)
