// PropPage1.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"

#include "URLChecker.h"

#include "PropPage1.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNCREATE(CPropPage1, CPropertyPage)


/////////////////////////////////////////////////////////////////////////////
// CPropPage1 property page

CPropPage1::CPropPage1() : CPropertyPage(CPropPage1::IDD)
{
	//{{AFX_DATA_INIT(CPropPage1)
	m_nTimeOut = 0;
	//}}AFX_DATA_INIT
}

CPropPage1::~CPropPage1()
{
}

void CPropPage1::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPropPage1)
	DDX_Text(pDX, IDC_TIME_OUT, m_nTimeOut);
	DDV_MinMaxUInt(pDX, m_nTimeOut, 0, 600);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPropPage1, CPropertyPage)
	//{{AFX_MSG_MAP(CPropPage1)
	ON_BN_CLICKED(IDC_CHK_RESIZE, OnChkResize)
	ON_BN_CLICKED(IDC_CHK_SCROLL, OnChkScroll)
	ON_EN_CHANGE(IDC_TIME_OUT, OnChangeTimeOut)
	ON_BN_CLICKED(IDC_CHK_ASYNC, OnChkAsync)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


void CPropPage1::OnChkResize() 
{
	m_bIsChange = TRUE;
	SetModified();
}

void CPropPage1::OnChkScroll() 
{
	m_bIsChange = TRUE;
	SetModified();
}

void CPropPage1::OnChkAsync() 
{
	m_bIsChange = TRUE;
	SetModified();
}

void CPropPage1::OnChangeTimeOut() 
{
	m_bIsChange = TRUE;
	SetModified();
}

BOOL CPropPage1::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	CURLCheckerApp* pApp = (CURLCheckerApp*)AfxGetApp();
	VERIFY(pApp != NULL);
	((CButton*)GetDlgItem(IDC_CHK_RESIZE))->SetCheck(pApp->m_bAutoSizeColumns); 
	((CButton*)GetDlgItem(IDC_CHK_SCROLL))->SetCheck(pApp->m_bAutoScroll);
	((CButton*)GetDlgItem(IDC_CHK_ASYNC))->SetCheck(pApp->m_bAsynchronous);
	m_nTimeOut = pApp->m_nTimeOut;
	m_bIsChange = FALSE;
	UpdateData(FALSE);
	return TRUE;
}

void CPropPage1::OnOK() 
{
	if (m_bIsChange)
	{
		m_bIsChange = FALSE;
		CURLCheckerApp* pApp = (CURLCheckerApp*)AfxGetApp();
		VERIFY(pApp != NULL);
		UpdateData();
		pApp->m_bAutoSizeColumns = (BOOL)((CButton*)GetDlgItem(IDC_CHK_RESIZE))->GetCheck(); 
		pApp->m_bAutoScroll = (BOOL)((CButton*)GetDlgItem(IDC_CHK_SCROLL))->GetCheck();
		pApp->m_bAsynchronous = (BOOL)((CButton*)GetDlgItem(IDC_CHK_ASYNC))->GetCheck();
		pApp->m_nTimeOut = m_nTimeOut;
		pApp->m_bIsChange = TRUE;
	}
	CPropertyPage::OnOK();
}

