// URLCheck.cpp : implementation file
//

#include "stdafx.h"
#include "URLChecker.h"
#include "URLCheck.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CURLCheck

IMPLEMENT_DYNCREATE(CURLCheck, CCmdTarget)

CURLCheck::CURLCheck()
{
}

CURLCheck::~CURLCheck()
{
}


BEGIN_MESSAGE_MAP(CURLCheck, CCmdTarget)
	//{{AFX_MSG_MAP(CURLCheck)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CURLCheck message handlers


BOOL CURLCheck::TryURL(const CString &strURL)
{
	CInternetSession session;
	CHttpFile* pInetFile = NULL;
	
	try
	{
		pInetFile = (CHttpFile*)session.OpenURL(LPCTSTR(strURL));
	}
	catch(CInternetException* pEx)
	{
		pEx->ReportError(); 
		pEx->Delete();
		pInetFile = NULL;
	}
	if (pInetFile)
	{
		pInetFile->Close();
		pInetFile = NULL;
	}
	return TRUE;
}
