// URLCheckerDoc.h : interface of the CURLCheckerDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_URLCHECKERDOC_H__1F81C70D_67B4_11D4_9F50_009027A4D0CE__INCLUDED_)
#define AFX_URLCHECKERDOC_H__1F81C70D_67B4_11D4_9F50_009027A4D0CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CURLCheckerView;

class CURLCheckerDoc : public CDocument
{
protected: // create from serialization only
	CURLCheckerDoc();
	DECLARE_DYNCREATE(CURLCheckerDoc)

// Attributes
public:
	CObArray m_arrUrls;
	int m_nSuspendIndex;
	int m_nOldObjState;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CURLCheckerDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void DeleteContents();
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL ClearAborted();
	BOOL SetAborted(int nIndex, CUrlObj* pObj);
	void UpdateState(int nItem, int nType);
	virtual ~CURLCheckerDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	void RemoveAllObjs();
	CURLCheckerView* GetView();
	//{{AFX_MSG(CURLCheckerDoc)
	afx_msg void OnFileExport();
	afx_msg void OnFileImport();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_URLCHECKERDOC_H__1F81C70D_67B4_11D4_9F50_009027A4D0CE__INCLUDED_)
